# LocalStorageOptions

    public struct LocalStorageOptions : OptionSet, ExpressibleByNilLiteral

The `LocalStorageOptions` provides settings that tells the `DataStack` how to setup the persistent store for `LocalStorage` implementers.

- `none`

  Tells the `DataStack` that the store should not be migrated or recreated, and should simply fail on model mismatch

  #### Declaration

  Swift

      public static let none: LocalStorageOptions

- `recreateStoreOnModelMismatch`

  Tells the `DataStack` to delete and recreate the store on model mismatch, otherwise exceptions will be thrown on failure instead

  #### Declaration

  Swift

      public static let recreateStoreOnModelMismatch: LocalStorageOptions

- `preventProgressiveMigration`

  Tells the `DataStack` to prevent progressive migrations for the store

  #### Declaration

  Swift

      public static let preventProgressiveMigration: LocalStorageOptions

- `allowSynchronousLightweightMigration`

  Tells the `DataStack` to allow lightweight migration for the store when added synchronously

  #### Declaration

  Swift

      public static let allowSynchronousLightweightMigration: LocalStorageOptions

### OptionSetType

- `init(rawValue:)`

  #### Declaration

  Swift

      public init(rawValue: Int)

### RawRepresentable

- `rawValue`

  #### Declaration

  Swift

      public let rawValue: Int

### ExpressibleByNilLiteral

- `init(nilLiteral:)`

  #### Declaration

  Swift

      public init(nilLiteral: ())

### CustomDebugStringConvertible

- `debugDescription`

  #### Declaration

  Swift

      public var debugDescription: String { get }